import 'package:mmoo_base_video/entity/match_entity.dart';
import 'package:mmoo_base_video/generated/json/base/json_convert_content.dart';

class CallEntity with JsonConvert<CallEntity> {
  String? callId;
  String? userName;
  String? userImage;
  bool? callMatch;
  String? callCost;
  String? callCostUserId;
  String? callPackage;
  String? matchTime;
  List<MatchCostUser>? matchCostUserId;

  CallEntity(
      {this.callId,
      this.userName,
      this.userImage,
      this.callMatch,
      this.callCost,
      this.callCostUserId,
      this.callPackage,
      this.matchTime,
      this.matchCostUserId});
}

class CallLabel with JsonConvert<CallLabel> {
  String? name;
  String? type;
}
