import 'package:mmoo_base_video/entity/video_message.dart';

videoMessageFromJson(VideoMessage data, Map<String, dynamic> json) {
	if (json['userId'] != null) {
		data.userId = json['userId'].toString();
	}
	if (json['status'] != null) {
		data.status = json['status'] is String
				? int.tryParse(json['status'])
				: json['status'].toInt();
	}
	if (json['newTime'] != null) {
		data.newTime = json['newTime'] is String
				? int.tryParse(json['newTime'])
				: json['newTime'].toInt();
	}
	return data;
}

Map<String, dynamic> videoMessageToJson(VideoMessage entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['userId'] = entity.userId;
	data['status'] = entity.status;
	data['newTime'] = entity.newTime;
	return data;
}